Bug 194101 - pcmcia modem no longer works
pcmcia modem no longer works
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-05 15:52 EDT by James Bottomley
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-07 17:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Bottomley 2006-06-05 15:52:42 EDT
Description of problem:

With kernel version 2.6.16-1.2111_FC4 my current pcmcia modem no longer works
(cu gives connection but no response to atz).  The last known good kernel (that
I can currently test) is 2.6.15-1.1833_FC4 (booted on this now and using the
modem for internet connectivity)  however, I recall this being OK with prior
2.6.16 kernels as well.  The cardctl info is

Socket 0:
  product info: "PCMCIA MAKER", "56K V.90 DataFax Modem"
  manfid: 0x0200, 0x0001
  function: 2 (serial)

It looks like the modem chip may be mis-identified.  This is the relevant dmesg
line with the (working) 2.6.15 kernel:

Jun  5 14:15:47 mulgrave kernel: 0.0: ttyS0 at I/O 0x23f8 (irq = 3) is a 16550A

And this is the same line with the non-working 2.6.16 kernel:

Jun  5 14:08:24 mulgrave kernel: 0.0: ttyS0 at I/O 0x23f8 (irq = 3) is a 16450

Note the incorrect 16450 identification

Version-Release number of selected component (if applicable):


How reproducible:

all the time

Steps to Reproduce:
1. boot to relevant kernel
2. plug in modem card
3. try to use it
Results are the same whether the card is plugged in after boot or left in at boot.

Actual results:

modem doesn't work

Expected results:

modem works

Additional info:
Comment 1 James Bottomley 2006-06-07 17:02:53 EDT
This looks like an intermittent hardware error with the modem.  I just got it to
trip on the 2.6.15 kernel (and managed to get the modem working on the 2.6.16
kernel), so closing this as not a bug

Note You need to log in before you can comment on or make changes to this bug.